Index: trunk/Cocoa/Pester/Source/Pester.pbproj/nicholas.pbxuser
===================================================================
--- trunk/Cocoa/Pester/Source/Pester.pbproj/nicholas.pbxuser	(revision 36)
+++ trunk/Cocoa/Pester/Source/Pester.pbproj/nicholas.pbxuser	(revision 39)
@@ -3795,5 +4043,5 @@
 		name = "PSAlarmSetController.h: 31";
 		rLen = 0;
-		rLoc = 1748;
+		rLoc = 1752;
 		rType = 0;
 		vrLen = 826;
@@ -3986,14 +4234,4 @@
 		vrLoc = 0;
 	};
-	F59E4C76036B565D016B311C = {
-		fRef = F59E4ED4036B565E016B311C;
-		isa = PBXTextBookmark;
-		name = "NSMenu.h: 64";
-		rLen = 32;
-		rLoc = 1952;
-		rType = 0;
-		vrLen = 1346;
-		vrLoc = 910;
-	};
 	F59E4C7D036B565D016B311C = {
 		fRef = F59E4ED6036B565E016B311C;
@@ -4431,5 +4669,5 @@
 		name = "PSAlarmSetController.m: doScriptChanged:";
 		rLen = 0;
-		rLoc = 7622;
+		rLoc = 7624;
 		rType = 0;
 		vrLen = 1402;
@@ -4461,5 +4699,5 @@
 		name = "PSAlarmSetController.m: awakeFromNib";
 		rLen = 0;
-		rLoc = 2838;
+		rLoc = 2840;
 		rType = 0;
 		vrLen = 1350;
@@ -5311,5 +5549,5 @@
 		name = "PSAlarmSetController.m: setAlarm:";
 		rLen = 0;
-		rLoc = 10265;
+		rLoc = 10267;
 		rType = 0;
 		vrLen = 1224;
@@ -5321,5 +5559,5 @@
 		name = "PSAlarmSetController.h: 25";
 		rLen = 0;
-		rLoc = 851;
+		rLoc = 853;
 		rType = 0;
 		vrLen = 1344;
@@ -5331,5 +5569,5 @@
 		name = "PSAlarmSetController.m: setAlarm:";
 		rLen = 0;
-		rLoc = 10265;
+		rLoc = 10267;
 		rType = 0;
 		vrLen = 1230;
@@ -5341,5 +5579,5 @@
 		name = "PSAlarmSetController.h: 25";
 		rLen = 0;
-		rLoc = 851;
+		rLoc = 853;
 		rType = 0;
 		vrLen = 1344;
@@ -5351,5 +5589,5 @@
 		name = "PSAlarmSetController.m: setAlarm:";
 		rLen = 0;
-		rLoc = 10265;
+		rLoc = 10267;
 		rType = 0;
 		vrLen = 1260;
@@ -5361,5 +5599,5 @@
 		name = "PSAlarmSetController.h: 25";
 		rLen = 0;
-		rLoc = 851;
+		rLoc = 853;
 		rType = 0;
 		vrLen = 1344;
@@ -5371,5 +5609,5 @@
 		name = "PSAlarmSetController.m: setAlarm:";
 		rLen = 0;
-		rLoc = 10265;
+		rLoc = 10267;
 		rType = 0;
 		vrLen = 1332;
@@ -5831,5 +6069,5 @@
 		name = "PSAlarmSetController.m: setAlarm:";
 		rLen = 1115;
-		rLoc = 9151;
+		rLoc = 9153;
 		rType = 0;
 		vrLen = 1204;
@@ -5861,5 +6099,5 @@
 		name = "PSAlarmSetController.m: setAlarm:";
 		rLen = 0;
-		rLoc = 10472;
+		rLoc = 10474;
 		rType = 0;
 		vrLen = 1151;
@@ -6101,5 +6339,5 @@
 		name = "PSAlarmSetController.m: update:";
 		rLen = 31;
-		rLoc = 6335;
+		rLoc = 6337;
 		rType = 0;
 		vrLen = 1376;
@@ -6321,5 +6559,5 @@
 		name = "PSAlarmSetController.m: 123";
 		rLen = 0;
-		rLoc = 5965;
+		rLoc = 5967;
 		rType = 0;
 		vrLen = 1711;
@@ -6501,5 +6739,5 @@
 		name = "NJRSoundPopUpButton.m: _previewSound:";
 		rLen = 0;
-		rLoc = 2576;
+		rLoc = 9269;
 		rType = 0;
 		vrLen = 1152;
@@ -6521,5 +6759,5 @@
 		name = "NJRSoundPopUpButton.m: 75";
 		rLen = 0;
-		rLoc = 4225;
+		rLoc = 10339;
 		rType = 0;
 		vrLen = 1297;
@@ -6531,5 +6769,5 @@
 		name = "NJRSoundPopUpButton.h: 13";
 		rLen = 0;
-		rLoc = 253;
+		rLoc = 257;
 		rType = 0;
 		vrLen = 277;
@@ -6541,5 +6779,5 @@
 		name = "NJRSoundPopUpButton.m: 75";
 		rLen = 0;
-		rLoc = 4225;
+		rLoc = 10339;
 		rType = 0;
 		vrLen = 1031;
@@ -6701,5 +6939,5 @@
 		name = "PSAlarmSetController.m: 14";
 		rLen = 0;
-		rLoc = 537;
+		rLoc = 539;
 		rType = 0;
 		vrLen = 1407;
@@ -6711,5 +6949,5 @@
 		name = "NJRSoundPopUpButton.m: 84";
 		rLen = 0;
-		rLoc = 4277;
+		rLoc = 10339;
 		rType = 0;
 		vrLen = 1085;
@@ -7261,5 +7499,5 @@
 		name = "PSAlarmSetController.m: 19";
 		rLen = 0;
-		rLoc = 486;
+		rLoc = 488;
 		rType = 0;
 		vrLen = 1233;
@@ -7451,5 +7689,5 @@
 		name = "PSAlarmSetController.m: 16";
 		rLen = 0;
-		rLoc = 430;
+		rLoc = 432;
 		rType = 0;
 		vrLen = 1348;
@@ -7561,5 +7799,5 @@
 		name = "PSAlarmSetController.m: 17";
 		rLen = 0;
-		rLoc = 408;
+		rLoc = 410;
 		rType = 0;
 		vrLen = 1348;
@@ -7611,5 +7849,5 @@
 		name = "PSAlarmSetController.m: 212";
 		rLen = 0;
-		rLoc = 10261;
+		rLoc = 10263;
 		rType = 0;
 		vrLen = 1215;
@@ -7621,5 +7859,5 @@
 		name = "PSAlarmSetController.h: 25";
 		rLen = 0;
-		rLoc = 851;
+		rLoc = 853;
 		rType = 0;
 		vrLen = 1344;
@@ -7631,5 +7869,5 @@
 		name = "PSAlarmSetController.m: 212";
 		rLen = 0;
-		rLoc = 10261;
+		rLoc = 10263;
 		rType = 0;
 		vrLen = 1215;
@@ -7641,5 +7879,5 @@
 		name = "PSAlarmSetController.h: 25";
 		rLen = 0;
-		rLoc = 851;
+		rLoc = 853;
 		rType = 0;
 		vrLen = 1344;
@@ -7651,5 +7889,5 @@
 		name = "PSAlarmSetController.m: 212";
 		rLen = 0;
-		rLoc = 10261;
+		rLoc = 10263;
 		rType = 0;
 		vrLen = 1215;
@@ -7661,5 +7899,5 @@
 		name = "PSAlarmSetController.h: 25";
 		rLen = 0;
-		rLoc = 851;
+		rLoc = 853;
 		rType = 0;
 		vrLen = 1344;
@@ -7671,5 +7909,5 @@
 		name = "PSAlarmSetController.m: 212";
 		rLen = 0;
-		rLoc = 10261;
+		rLoc = 10263;
 		rType = 0;
 		vrLen = 1222;
@@ -7681,5 +7919,5 @@
 		name = "NJRSoundPopUpButton.m: 76";
 		rLen = 0;
-		rLoc = 4123;
+		rLoc = 10339;
 		rType = 0;
 		vrLen = 1139;
@@ -7691,5 +7929,5 @@
 		name = "PSAlarmSetController.m: setAlarm:";
 		rLen = 0;
-		rLoc = 10261;
+		rLoc = 10263;
 		rType = 0;
 		vrLen = 1195;
@@ -7701,5 +7939,5 @@
 		name = "PSAlarmSetController.h: 25";
 		rLen = 0;
-		rLoc = 851;
+		rLoc = 853;
 		rType = 0;
 		vrLen = 1344;
@@ -7711,5 +7949,5 @@
 		name = "PSAlarmSetController.m: setAlarm:";
 		rLen = 645;
-		rLoc = 9616;
+		rLoc = 9618;
 		rType = 0;
 		vrLen = 1187;
@@ -7731,5 +7969,5 @@
 		name = "PSAlarmSetController.m: setAlarm:";
 		rLen = 0;
-		rLoc = 10261;
+		rLoc = 10263;
 		rType = 0;
 		vrLen = 1082;
@@ -7741,5 +7979,5 @@
 		name = "PSAlarmSetController.h: 25";
 		rLen = 0;
-		rLoc = 851;
+		rLoc = 853;
 		rType = 0;
 		vrLen = 1344;
@@ -7751,5 +7989,5 @@
 		name = "PSAlarmSetController.m: setAlarm:";
 		rLen = 0;
-		rLoc = 10261;
+		rLoc = 10263;
 		rType = 0;
 		vrLen = 1082;
@@ -7761,5 +7999,5 @@
 		name = "NJRSoundPopUpButton.m: 62";
 		rLen = 0;
-		rLoc = 2622;
+		rLoc = 9316;
 		rType = 0;
 		vrLen = 1351;
@@ -7773,5 +8011,5 @@
 		rLoc = 7258;
 		rType = 0;
-		vrLen = 1040;
+		vrLen = 851;
 		vrLoc = 8207;
 	};
@@ -7781,5 +8019,5 @@
 		name = "NJRSoundPopUpButton.m: 68";
 		rLen = 0;
-		rLoc = 2927;
+		rLoc = 9737;
 		rType = 0;
 		vrLen = 1270;
@@ -7801,5 +8039,5 @@
 		name = "NJRSoundPopUpButton.m: 70";
 		rLen = 0;
-		rLoc = 2774;
+		rLoc = 9583;
 		rType = 0;
 		vrLen = 1012;
@@ -7811,5 +8049,5 @@
 		name = "NJRSoundPopUpButton.h: 14";
 		rLen = 0;
-		rLoc = 315;
+		rLoc = 404;
 		rType = 0;
 		vrLen = 305;
@@ -7821,5 +8059,5 @@
 		name = "NJRSoundPopUpButton.m: 70";
 		rLen = 0;
-		rLoc = 2774;
+		rLoc = 9583;
 		rType = 0;
 		vrLen = 989;
@@ -7831,5 +8069,5 @@
 		name = "NJRSoundPopUpButton.h: 10";
 		rLen = 0;
-		rLoc = 202;
+		rLoc = 204;
 		rType = 0;
 		vrLen = 353;
@@ -7841,5 +8079,5 @@
 		name = "NJRSoundPopUpButton.m: 70";
 		rLen = 0;
-		rLoc = 2774;
+		rLoc = 9583;
 		rType = 0;
 		vrLen = 989;
@@ -7873,5 +8111,5 @@
 		rLoc = 7207;
 		rType = 0;
-		vrLen = 1179;
+		vrLen = 1072;
 		vrLoc = 7986;
 	};
@@ -7881,5 +8119,5 @@
 		name = "NJRSoundPopUpButton.m: 11";
 		rLen = 0;
-		rLoc = 361;
+		rLoc = 386;
 		rType = 0;
 		vrLen = 1315;
@@ -7891,5 +8129,5 @@
 		name = "NJRSoundPopUpButton.h: 17";
 		rLen = 69;
-		rLoc = 319;
+		rLoc = 408;
 		rType = 0;
 		vrLen = 353;
@@ -7901,5 +8139,5 @@
 		name = "NJRSoundPopUpButton.m: 101";
 		rLen = 0;
-		rLoc = 4277;
+		rLoc = 10339;
 		rType = 0;
 		vrLen = 957;
@@ -7911,5 +8149,5 @@
 		name = "NJRSoundPopUpButton.h: 17";
 		rLen = 69;
-		rLoc = 319;
+		rLoc = 408;
 		rType = 0;
 		vrLen = 353;
@@ -7921,5 +8159,5 @@
 		name = "NJRSoundPopUpButton.m: _previewSound:";
 		rLen = 0;
-		rLoc = 2389;
+		rLoc = 9024;
 		rType = 0;
 		vrLen = 1336;
@@ -7931,5 +8169,5 @@
 		name = "PSAlarmSetController.m: setAlarm:";
 		rLen = 0;
-		rLoc = 10261;
+		rLoc = 10263;
 		rType = 0;
 		vrLen = 1123;
@@ -7941,5 +8179,5 @@
 		name = "PSAlarmSetController.h: 25";
 		rLen = 0;
-		rLoc = 851;
+		rLoc = 853;
 		rType = 0;
 		vrLen = 1344;
@@ -7951,5 +8189,5 @@
 		name = "PSAlarmSetController.m: setAlarm:";
 		rLen = 0;
-		rLoc = 10119;
+		rLoc = 10121;
 		rType = 0;
 		vrLen = 1140;
@@ -7961,5 +8199,5 @@
 		name = "PSAlarmSetController.h: 25";
 		rLen = 0;
-		rLoc = 851;
+		rLoc = 853;
 		rType = 0;
 		vrLen = 1344;
@@ -7971,5 +8209,5 @@
 		name = "PSAlarmSetController.m: setAlarm:";
 		rLen = 53;
-		rLoc = 9196;
+		rLoc = 9198;
 		rType = 0;
 		vrLen = 1321;
@@ -8001,5 +8239,5 @@
 		name = "PSAlarmSetController.m: setAlarm:";
 		rLen = 103;
-		rLoc = 10017;
+		rLoc = 10019;
 		rType = 0;
 		vrLen = 1157;
@@ -8021,5 +8259,5 @@
 		name = "PSAlarmSetController.m: setAlarm:";
 		rLen = 0;
-		rLoc = 10078;
+		rLoc = 10080;
 		rType = 0;
 		vrLen = 1161;
@@ -8031,5 +8269,5 @@
 		name = "NJRSoundPopUpButton.m: select:";
 		rLen = 0;
-		rLoc = 2176;
+		rLoc = 4548;
 		rType = 0;
 		vrLen = 1547;
@@ -8767,5 +9005,5 @@
 		name = "NJRSoundPopUpButton.m: openPanelDidEnd:returnCode:contextInfo:";
 		rLen = 0;
-		rLoc = 4116;
+		rLoc = 10339;
 		rType = 0;
 		vrLen = 890;
@@ -8777,5 +9015,5 @@
 		name = "NJRSoundPopUpButton.h: selectedAlias";
 		rLen = 69;
-		rLoc = 319;
+		rLoc = 408;
 		rType = 0;
 		vrLen = 353;
@@ -8787,5 +9025,5 @@
 		name = "NJRSoundPopUpButton.m: openPanelDidEnd:returnCode:contextInfo:";
 		rLen = 0;
-		rLoc = 4116;
+		rLoc = 10339;
 		rType = 0;
 		vrLen = 1049;
@@ -8797,5 +9035,5 @@
 		name = "NJRSoundPopUpButton.h: selectedAlias";
 		rLen = 69;
-		rLoc = 319;
+		rLoc = 408;
 		rType = 0;
 		vrLen = 353;
@@ -8807,5 +9045,5 @@
 		name = "NJRSoundPopUpButton.m: 93";
 		rLen = 0;
-		rLoc = 3605;
+		rLoc = 10339;
 		rType = 0;
 		vrLen = 878;
@@ -8817,5 +9055,5 @@
 		name = "NJRSoundPopUpButton.h: selectedAlias";
 		rLen = 69;
-		rLoc = 319;
+		rLoc = 408;
 		rType = 0;
 		vrLen = 353;
@@ -8827,5 +9065,5 @@
 		name = "NJRSoundPopUpButton.m: _soundSelected:";
 		rLen = 0;
-		rLoc = 4123;
+		rLoc = 10339;
 		rType = 0;
 		vrLen = 1032;
@@ -8837,5 +9075,5 @@
 		name = "NJRSoundPopUpButton.h: selectedAlias";
 		rLen = 69;
-		rLoc = 319;
+		rLoc = 408;
 		rType = 0;
 		vrLen = 353;
@@ -8847,5 +9085,5 @@
 		name = "NJRSoundPopUpButton.m: item";
 		rLen = 0;
-		rLoc = 3605;
+		rLoc = 10339;
 		rType = 0;
 		vrLen = 1111;
@@ -8857,5 +9095,5 @@
 		name = "NJRSoundPopUpButton.h: selectedAlias";
 		rLen = 69;
-		rLoc = 319;
+		rLoc = 408;
 		rType = 0;
 		vrLen = 353;
@@ -8867,5 +9105,5 @@
 		name = "NJRSoundPopUpButton.m: _previewSound";
 		rLen = 0;
-		rLoc = 5890;
+		rLoc = 11053;
 		rType = 0;
 		vrLen = 1157;
@@ -9007,5 +9245,5 @@
 		name = "PSAlarmSetController.h: 25";
 		rLen = 0;
-		rLoc = 851;
+		rLoc = 853;
 		rType = 0;
 		vrLen = 1344;
@@ -9017,5 +9255,5 @@
 		name = "PSAlarmSetController.m: setAlarm:";
 		rLen = 0;
-		rLoc = 10078;
+		rLoc = 10080;
 		rType = 0;
 		vrLen = 1161;
@@ -9039,5 +9277,5 @@
 		rLoc = 7207;
 		rType = 0;
-		vrLen = 1178;
+		vrLen = 1072;
 		vrLoc = 7986;
 	};
@@ -9056,6 +9294,6 @@
 		isa = PBXTextBookmark;
 		name = "NJRSoundPopUpButton.m: _previewSound";
-		rLen = 26;
-		rLoc = 4695;
+		rLen = 0;
+		rLoc = 10339;
 		rType = 0;
 		vrLen = 1272;
@@ -9077,5 +9315,5 @@
 		name = "PSAlarmSetController.m: windowWillClose:";
 		rLen = 0;
-		rLoc = 11650;
+		rLoc = 11652;
 		rType = 0;
 		vrLen = 1083;
@@ -9087,5 +9325,5 @@
 		name = "PSAlarmSetController.h: 25";
 		rLen = 0;
-		rLoc = 851;
+		rLoc = 853;
 		rType = 0;
 		vrLen = 1344;
@@ -9097,5 +9335,5 @@
 		name = "PSAlarmSetController.m: windowWillClose:";
 		rLen = 0;
-		rLoc = 11650;
+		rLoc = 11652;
 		rType = 0;
 		vrLen = 1100;
@@ -9117,5 +9355,5 @@
 		name = "NJRSoundPopUpButton.h: 18";
 		rLen = 0;
-		rLoc = 387;
+		rLoc = 476;
 		rType = 0;
 		vrLen = 378;
@@ -9127,5 +9365,5 @@
 		name = "NJRSoundPopUpButton.m: 130";
 		rLen = 0;
-		rLoc = 4670;
+		rLoc = 10339;
 		rType = 0;
 		vrLen = 1120;
@@ -9137,5 +9375,5 @@
 		name = "NJRSoundPopUpButton.h: 18";
 		rLen = 41;
-		rLoc = 347;
+		rLoc = 436;
 		rType = 0;
 		vrLen = 385;
@@ -9147,5 +9385,5 @@
 		name = "NJRSoundPopUpButton.m: _previewSound";
 		rLen = 0;
-		rLoc = 4667;
+		rLoc = 10339;
 		rType = 0;
 		vrLen = 870;
@@ -9157,5 +9395,5 @@
 		name = "NJRSoundPopUpButton.h: 18";
 		rLen = 41;
-		rLoc = 347;
+		rLoc = 436;
 		rType = 0;
 		vrLen = 394;
@@ -9167,5 +9405,5 @@
 		name = "NJRSoundPopUpButton.m: 131";
 		rLen = 0;
-		rLoc = 4639;
+		rLoc = 10339;
 		rType = 0;
 		vrLen = 879;
@@ -9177,5 +9415,5 @@
 		name = "NJRSoundPopUpButton.h: 18";
 		rLen = 41;
-		rLoc = 347;
+		rLoc = 436;
 		rType = 0;
 		vrLen = 394;
@@ -9189,5 +9427,5 @@
 		rLoc = 434;
 		rType = 0;
-		vrLen = 1128;
+		vrLen = 1126;
 		vrLoc = 2889;
 	};
@@ -9197,5 +9435,5 @@
 		name = "PSAlarmSetController.m: windowWillClose:";
 		rLen = 0;
-		rLoc = 11650;
+		rLoc = 11652;
 		rType = 0;
 		vrLen = 1091;
@@ -9207,5 +9445,5 @@
 		name = "PSAlarmSetController.h: 25";
 		rLen = 0;
-		rLoc = 851;
+		rLoc = 853;
 		rType = 0;
 		vrLen = 1344;
@@ -9217,5 +9455,5 @@
 		name = "PSAlarmSetController.m: 254";
 		rLen = 0;
-		rLoc = 11497;
+		rLoc = 11499;
 		rType = 0;
 		vrLen = 1132;
@@ -9247,5 +9485,5 @@
 		name = "PSAlarmSetController.m: 252";
 		rLen = 0;
-		rLoc = 11435;
+		rLoc = 11437;
 		rType = 0;
 		vrLen = 1131;
@@ -9267,5 +9505,5 @@
 		name = "PSAlarmSetController.m: 252";
 		rLen = 0;
-		rLoc = 11435;
+		rLoc = 11437;
 		rType = 0;
 		vrLen = 1278;
@@ -9277,5 +9515,5 @@
 		name = "NJRSoundPopUpButton.m: title";
 		rLen = 0;
-		rLoc = 3229;
+		rLoc = 10039;
 		rType = 0;
 		vrLen = 1249;
@@ -9287,5 +9525,5 @@
 		name = "NJRSoundPopUpButton.h: stopSoundPreview:";
 		rLen = 41;
-		rLoc = 347;
+		rLoc = 436;
 		rType = 0;
 		vrLen = 394;
@@ -9297,5 +9535,5 @@
 		name = "NJRSoundPopUpButton.m: openPanelDidEnd:returnCode:contextInfo:";
 		rLen = 0;
-		rLoc = 3604;
+		rLoc = 10339;
 		rType = 0;
 		vrLen = 1176;
@@ -9537,5 +9775,5 @@
 		name = "PSAlarmSetController.m: awakeFromNib";
 		rLen = 0;
-		rLoc = 3191;
+		rLoc = 3193;
 		rType = 0;
 		vrLen = 1262;
@@ -9547,5 +9785,5 @@
 		name = "PSAlarmSetController.h: 25";
 		rLen = 0;
-		rLoc = 851;
+		rLoc = 853;
 		rType = 0;
 		vrLen = 1344;
@@ -9557,5 +9795,5 @@
 		name = "PSAlarmSetController.m: setStatus:";
 		rLen = 0;
-		rLoc = 3513;
+		rLoc = 3515;
 		rType = 0;
 		vrLen = 1327;
@@ -9714,10 +9952,4 @@
 		refType = 0;
 	};
-	F59E4ED4036B565E016B311C = {
-		isa = PBXFileReference;
-		name = NSMenu.h;
-		path = /System/Library/Frameworks/AppKit.framework/Versions/C/Headers/NSMenu.h;
-		refType = 0;
-	};
 	F59E4ED6036B565E016B311C = {
 		isa = PBXFileReference;
